get:
    tags:
        - Integraciones con aplicaciones de SSHH
    summary: Obtener configuración de tareas automatizadas para un RPA
    description: Obtiene la configuración de tareas automatizadas para un RPA
    operationId: obtenerConfiguracionTareas
    parameters:
        - $ref: './components_parameters.yaml#/components/parameters/Authorization'
        - $ref: './components_parameters.yaml#/components/parameters/Version'
        - $ref: './components_parameters.yaml#/components/parameters/delegado'
        - $ref: './components_parameters.yaml#/components/parameters/rol'
        - $ref: './components_parameters.yaml#/components/parameters/contexto'
        - $ref: './components_parameters.yaml#/components/parameters/sistema'
        - $ref: './components_parameters.yaml#/components/parameters/incluir'
        - name: idRPA
          in: query
          description: Identificador del RPA a consultar
          required: true
          schema:
            type: number
        - name: fechaUltModificacionIni
          in: query
          description: Fecha de última modificación. <br>Filtro de fecha inicial para obtener los elementos modificados en un rango de fechas determinado (en formato date-time)
          schema:
            type: string
        - name: fechaUltModificacionFin
          in: query
          description: Fecha de última modificación. <br>Filtro de fecha final para obtener los elementos modificados en un rango de fechas determinado (en formato date-time)
          schema:
            type: string
    responses:
        '200':
            description: OK - Se obtiene la configuración de tareas automatizadas del RPA
            content:
                application/json:
                    schema:
                        type: object
                        properties:
                            windowsTasks:
                                type: array
                                items:
                                    type: object
                                    properties:
                                        id:
                                            type: number
                                            description: Identificador de la tarea.
                                        idRPA:
                                            type: number
                                            description: Identificador del RPA asociado.
                                        nombre:
                                            type: string
                                            description: Nombre de la tarea.
                                        enabled:
                                            type: boolean
                                            description:  ¿Tarea habilitada?
                                        execute:
                                            type: boolean
                                            description: ¿Ejecutar tarea?
                                        interval:
                                            type: string
                                            description: Intervalo de tiempo de ejecución de la tarea.
                                        startTime:
                                            type: string
                                            description: Hora de inicio de la tarea.
        '4XX':
            $ref: './models_errors_4XX.yaml'
        '5XX':
            $ref: './models_errors_5XX.yaml'
    deprecated: false